

exec("./lib/ts-pathing.cs");
exec("./lib/vizard.cs");
exec("./lib/nodes-2.0.cs");

exec("./src/classes/ZAMB_Core.cs");
exec("./src/classes/ZAMB_Sound.cs");
exec("./src/classes/ZAMB_Zombies.cs");
exec("./src/classes/ZAMB_Director.cs");

exec("./src/package.cs");
exec("./src/display.cs");

exec("./src/zombie/main.cs");
exec("./src/survivor/main.cs");

function zambLoadNodes() {
	loadNodes("Add-Ons/GameMode_ZAMB/save.nav");

	if (!isObject(NodeGroup)) {
		return;
	}

	%count = NodeGroup.getCount();

	for (%i = 0; %i < %count; %i++) {
		%node = NodeGroup.getObject(%i);
		%node.nearNodes = 0;

		for (%j = 0; %j < %count; %j++) {
			if (%j == %i) {
				continue;
			}

			%test = NodeGroup.getObject(%j);

			if (vectorDist(%node.position, %test.position) <= $WANDERER_PLACE_RADIUS) {
				%node.nearNodes++;
			}
		}
	}
}

if (!isObject(NodeGroup) && isFile("Add-Ons/GameMode_ZAMB/save.nav")) {
	schedule(0, 0, zambLoadNodes);
}
