function gameConnection::updateZAMBDisplay(%this) {
	cancel(%this.updateZAMBDisplay);

	%r = 0;
	%g = 0;
	%b = 0;
	%a = 1;

	%player = %this.player;
	%str = "";

	if (isObject(%player) && %player.getState() !$= "Dead") {
		%damage = %player.getDamageLevel() / %player.getDataBlock().maxDamage;
		%health = mCeil(%player.getDataBlock().maxDamage - %player.getDamageLevel());

		%str = "<font:tahoma:24><color:DBA901>" @ %health;
		%str = %str SPC "<font:tahoma:20>HEALTH";

		if (%player.ammoString !$= "") {
			%str = %str @ "<just:right>" @ %player.ammoString SPC "\n";
		}

		%boomer = $Sim::Time - %player.lastBoomerVictimTime;

		if (%damage > 0) {
			%r += %player.getDamageLevel() / %player.getDataBlock().maxDamage;
		}

		if (%boomer < 15) {
			%g += %boomer <= 10 ? 1 : 1 - (%boomer - 10) / 5;

			if (%boomer < 10) {
				%this.updateZAMBVignette = %this.schedule((10 - %boomer) * 1000, "updateZAMBDisplay");
			}
			else {
				%this.updateZAMBVignette = %this.schedule(100, "updateZAMBDisplay");
			}
		}
	}

	if (%str $= "") {
		clearBottomPrint(%this);
	}
	else {
		%this.bottomPrint(%str, -1, 1);
	}

	commandToClient(%this, 'SetVignette', 1, %r SPC %g SPC %b SPC %a);
}
